﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Web.UI
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls


Partial Class ImageUpload
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        If IsPostBack = True And FileUpload1.HasFile = True And CheckBox1.Checked = True Then
            Dim rootWebConfig As System.Configuration.Configuration = _
                System.Web.Configuration.WebConfigurationManager.OpenWebConfiguration("~/Final")
            Dim myConnString As String = _
                rootWebConfig.ConnectionStrings.ConnectionStrings("ConnectionString").ToString()
            Dim myConn As SqlConnection = New SqlConnection(myConnString)
            myConn.Open()

            Dim myQuery As SqlCommand = New SqlCommand("SELECT claimID FROM claim WHERE reference=@reference", myConn)
            myQuery.Parameters.AddWithValue("@reference", TextBox1.Text)
            Dim myDr As SqlDataReader
            myDr = myQuery.ExecuteReader()
            If myDr.Read() = False Then
                Label1.Text = "Invalid claim reference"
                Return
            End If
            Dim claimID As Integer = myDr.GetInt32(0)
            myDr.Close()

            Dim myInsert As SqlCommand = New SqlCommand("INSERT INTO image VALUES(@title,@description,@claimID)", myConn)
            myInsert.Parameters.AddWithValue("@title", TextBox2.Text)
            myInsert.Parameters.AddWithValue("@description", TextBox3.Text)
            myInsert.Parameters.AddWithValue("@claimID", claimID)
            Dim rows As Integer = myInsert.ExecuteNonQuery()
            If rows <> 1 Then
                Throw New Exception("Unexpected Result for Insert")
            End If

            Dim myCount As SqlCommand = New SqlCommand("SELECT MAX(imageID) AS IMAGEID FROM image", myConn)
            myDr = myCount.ExecuteReader()
            myDr.Read()
            Dim imageID As Integer = myDr.GetInt32(0)
            myDr.Close()

            Dim path As String = Server.MapPath("~/Uploads/")
            Try
                FileUpload1.PostedFile.SaveAs(path + imageID.ToString() + ".jpg")
                Label1.Text = "Upload successful"
            Catch myEx As Exception
                Label1.Text = "Upload failed"
            End Try
        End If
    End Sub

End Class
